import request from '@/utils/request'

// 获取服务器列表信息
export const getServerList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/server/list',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        content: data.content // 查询关键字
      }
    }
  })
}

// 添加服务器
export const addServer = (data) => {
  return request({
    url: '/server/insert',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 更新服务器
export const updateServer = (data) => {
  return request({
    url: '/server/update',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 删除服务器
export const delServer = (serverId) => {
  return request({
    url: '/server/delete',
    method: 'POST',
    data: {
      reqdata: {
        serverId
      }
    }
  })
}
