import request from '@/utils/request'
import dayjs from 'dayjs'

// 获取员工列表信息
export const getStaffList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/user/queryList',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        searchContent: data.content // 查询关键字
      }
    }
  })
}

// 获取所有用户/职位信息
export const getAllUserPosition = () => {
  return request({
    url: '/user/queryAllUserPosition',
    method: 'POST'
  })
}

// 添加员工信息
export const addStaff = (data) => {
  data.entryTime = dayjs(data.entryTime).format('YYYY-MM-DD HH:mm:ss')
  // data.entryTime = data.entryTime.valueOf()
  return request({
    url: '/user/add',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 更新员工信息
export const updateStaff = (data) => {
  return request({
    url: '/user/update',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 删除员工信息
export const delStaff = (id) => {
  return request({
    url: '/user/delete',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}
