import request from '@/utils/request'

// 获取菜单列表信息
export const getMenuList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/menu/queryMenuList',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        menuName: data.content // 查询关键字
      }
    }
  })
}

// 添加菜单信息
export const addMenu = (data) => {
  return request({
    url: '/menu/addMenu',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 更新菜单信息
export const updateMenu = (data) => {
  return request({
    url: '/menu/update',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 删除菜单信息
export const delMenu = (id) => {
  return request({
    url: '/menu/delete',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}

// 根据父id查询菜单
export const getMenuListByParentId = (id) => {
  return request({
    url: '/menu/queryListByParentId',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}

// 获取菜单权限列表
export const getMenuAuthorityList = () => {
  return request({
    url: '/menu/getMenuAuthorityList',
    method: 'POST'
  })
}

// 获取职位列表信息
export const getJobList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/position/queryListByPage',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        positionName: data.content // 查询关键字
      }
    }
  })
}

// 添加职位信息
export const addJob = (data) => {
  return request({
    url: '/position/add',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 更新职位信息
export const updateJob = (data) => {
  return request({
    url: '/position/update',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 删除职位信息
export const delJob = (id) => {
  return request({
    url: '/position/delete',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}

// /position/getPositionPermissionsById
export const getPositionPermissionsById = (id) => {
  return request({
    url: '/position/getPositionPermissionsById',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}
